Subject: Re: namedroppers mismanagement, continued

From: David Frascone <[email-masked]>
Date: Tue, 26 Nov 2002 06:13:26 -0600

[ post by non-subscriber.  with the massive amount of spam, it is easy to
  miss and therefore delete mis-posts.  so fix subscription addresses! ]

Why not simply subscribe and resend?

As a maintainer of several lists, I can confirm what a royal pain it is to
deal with people posting from non-subscribed addresses.  I usually get 1-2 a
week as I'm sorting through the 10-15 SPAMs a day.  I'm sure I mistakenly
reject many of them.

Just my $.02 worth,

-Dave

On Tuesday, 26 Nov 2002, D. J. Bernstein wrote:
> I've sent twelve messages to the namedroppers mailing list this month.
> Five of them have been silently discarded by the namedroppers censor,
> Randy Bush. (See http://cr.yp.to/djbdns/namedroppers.html for previous
> incidents.)
> 
> Bush says that the only relevant feature of my messages is that they're
> sent from an address that isn't subscribed to namedroppers. Okay, boys
> and girls, let's look at some statistics:
> 
>    * 5/12 of my messages have been silently discarded;
> 
>    * according to Bush, this has nothing to do with me or the content,
>      so we estimate that about 5/12 of all non-subscriber messages have
>      been silently discarded;
> 
>    * in the past three months, there have been about 100 legitimate
>      messages from other people who Bush labelled as non-subscribers;
> 
>    * so we estimate that, in the last three months, Bush has silently
>      discarded about 71 legitimate messages from other people. That's a
>      rate of hundreds per year.
> 
> Bush doesn't say ``Your message didn't go through.'' Bush doesn't say
> ``Reply to this bounce to confirm your original message.'' He simply
> throws the message away.
> 
> This is supposed to be the mailing list for an open IETF working group.
> It's outrageous that valid messages are being silently discarded---even
> if the number is not as large as hundreds per year.
> 
> ---D. J. Bernstein, Associate Professor, Department of Mathematics,
> Statistics, and Computer Science, University of Illinois at Chicago
> 
> P.S. Out of my twelve messages, the five that were silently discarded
> are exactly the five that I would pick if I were a censor trying to bias
> the DNSEXT decisions in favor of the BIND company. Coincidence, right?
> 
> P.P.S. Bush's mailing-list software doesn't cryptographically confirm
> unsubscription requests. I kept my subscription address private until
> Bush revealed it a few days ago. I'm working on obtaining a subscription
> through an address that Bush doesn't know is connected to me.
> 

-- 
David Frascone

                   My karma ran over my dogma

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Joe Baptista <[email-masked]>
Date: Tue, 26 Nov 2002 09:34:54 -0500 (EST)

Bernstein - I'm not surprised this is happening.  I've experimented with
your dns daemon and it is by far superior to the existing bind
implimentations.  So I'm frankly not very surprised Bush don't like your
posts.  But I will admit the behaviour is juvenile.  But again this should
not surprise us.

But to end this on a positive note - let me make clear I admire your work.

regards
joe baptista

---

From: Keith Moore <[email-masked]>
Date: Tue, 26 Nov 2002 09:39:03 -0500

> Randy Bush. (See http://cr.yp.to/djbdns/namedroppers.html for previous

in my experience, if you send mail to the list administrator
and say "please add [email-masked] as an address that is allowed
to post to this list", the problem goes away - for that list.

and no, I don't think that one should have to "say the secret magic words"
to make the right thing happen.    but it does seem to work in practice.

Keith

---

From: "John M. Brown" <[email-masked]>
Date: Tue, 26 Nov 2002 08:54:59 -0700

so stop bitching and subscribe to the mailing list
like the rest of us.......   Then you make your problem
go away, and Randy doesn't have to baby sit your messages.

just my $0.00002  worth

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of D. J. Bernstein
> Sent: Tuesday, November 26, 2002 4:50 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: namedroppers mismanagement, continued
> 
> 
>   miss and therefore delete mis-posts.  your subscription address is
>   [email-masked], please post from it or
>   fix subscription your subscription address! ]
> 
> I've sent twelve messages to the namedroppers mailing list 
> this month. Five of them have been silently discarded by the 
> namedroppers censor, Randy Bush. (See 
> http://cr.yp.to/djbdns/namedroppers.html for previous
> incidents.)
> 
> Bush says that the only relevant feature of my messages is 
> that they're sent from an address that isn't subscribed to 
> namedroppers. Okay, boys and girls, let's look at some statistics:
> 
> Bush doesn't say ``Your message didn't go through.'' Bush 
> doesn't say ``Reply to this bounce to confirm your original 
> message.'' He simply throws the message away.
> 
> This is supposed to be the mailing list for an open IETF 
> working group. It's outrageous that valid messages are being 
> silently discarded---even if the number is not as large as 
> hundreds per year.
> 
> ---D. J. Bernstein, Associate Professor, Department of 
> Mathematics, Statistics, and Computer Science, University of 
> Illinois at Chicago
> 
> P.S. Out of my twelve messages, the five that were silently 
> discarded are exactly the five that I would pick if I were a 
> censor trying to bias the DNSEXT decisions in favor of the 
> BIND company. Coincidence, right?
> 
> P.P.S. Bush's mailing-list software doesn't cryptographically 
> confirm unsubscription requests. I kept my subscription 
> address private until Bush revealed it a few days ago. I'm 
> working on obtaining a subscription through an address that 
> Bush doesn't know is connected to me.
> 
> 
> 
> --
> to unsubscribe send a message to 
> [email-masked] with the word 'unsubscribe' 
> in a single line as the message text body.

---

From: "D. J. Bernstein" <[email-masked]>
Date: 26 Nov 2002 21:06:23 -0000

> Why not simply subscribe and resend?

How does that help namedroppers recover all the lost messages from
_other_ people? Bush has _sent_ 115 legitimate namedroppers messages
from non-subscribers in the last three months; how many has he _lost_?

> I'm sure I mistakenly reject many of them.

Do you _silently discard_ them? If the sender isn't monitoring the list,
how will he ever know that his message didn't go through? If he _is_
monitoring the list, how long is he supposed to wait before complaining?

Bush imposed his mailing-list control methods without IESG approval, in
violation of RFC 2418, section 3.2. He has been caught engaging in
content-based censorship several times:

   http://cr.yp.to/djbdns/namedroppers.html

What's stopping him from selectively delaying or discarding messages
that he doesn't like? How can we tell whether these were actually
``mistakes''?

Manual reviews are completely inappropriate for a standardization forum.
They allow uncontrolled abuse, even when they aren't exacerbated by a
lack of notification to the sender.

---

From: "D. J. Bernstein" <[email-masked]>
Date: 27 Nov 2002 15:58:32 -0000

Once again: Bush is (1) subjecting a huge number of legitimate messages
to manual review and (2) silently discarding many of these legitimate
messages, apparently at a rate of hundreds per year (not counting mine).

Both #1 and #2 are unacceptable. I want the manual reviews _eliminated_.
If a message isn't posted immediately, it must be bounced, with a clear
explanation of how to have it posted without Bush's intervention.

If the IETF documentation doesn't make sufficiently clear that Bush's
behavior is unacceptable, that documentation also has to be fixed.